#
# spec file for package perl-Class-DBI-Lite
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-DBI-Lite
Version:        1.034
Release:        1.1
%define cpan_name Class-DBI-Lite
Summary:        Lightweight ORM for Perl
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-DBI-Lite/
Source0:        http://www.cpan.org/authors/id/J/JO/JOHND/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(DBD::SQLite)
BuildRequires:  perl(DBI)
BuildRequires:  perl(Ima::DBI::Contextual) >= 1.005
BuildRequires:  perl(SQL::Abstract)
BuildRequires:  perl(SQL::Abstract::Limit)
BuildRequires:  perl(Test::Memory::Cycle)
Requires:       perl(DBD::SQLite)
Requires:       perl(DBI)
Requires:       perl(Ima::DBI::Contextual) >= 1.005
Requires:       perl(SQL::Abstract)
Requires:       perl(SQL::Abstract::Limit)
Requires:       perl(Test::Memory::Cycle)
%{perl_requires}

%description
'Class::DBI::Lite' offers a simple way to deal with databases in an
object-oriented way.

One class (the *Model* class) defines your connection to the database (eg:
connectionstring, username and password) and your other classes define
interaction with one table each (your *entity* classes).

The Entity classes subclass the Model class and automatically inherit its
connection.

'Class::DBI::Lite' relies heavily on the Ima::DBI::Contextual manpage, the
SQL::Abstract manpage and the Scalar::Util manpage.

'Class::DBI::Lite' does not leak memory and is well-suited for use within
mod_perl, Fast CGI, CGI and anywhere else you might need it.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README runprofiler.sh runtests.sh

%changelog
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.034
  see /usr/share/doc/packages/perl-Class-DBI-Lite/Changes
  1.034   2012-05-07
  - DEPRECATED until further notice.
    No other changes.
  1.033   2012-03-08
  - This release fixes a long-standing bug in Class::DBI::Lite::Pager->nagivations
    which caused it to sometimes return '0' as the "start" position.
    eg: my ($start, $stop) = $pager->navigations()
    If you then did:
    for my $page_number ($start..$stop) { # Make a hyperlink to $page_number }
    Your first $page_number would sometimes be '0'
  - Ray Baksh++ for submitting the patch at a ridiculous wee hour in the morning.
    (Much appreciated!)
  1.032   2012-03-02
  - No longer depend on or use DBIx::ContextualFetch.
  - RootMeta was not getting cached/setup correctly in ::Lite.  First attempt to fix this.
  - Bumped version dependency of Ima::DBI::Contextual due to bugfixes/enhancements there.
  1.031   2012-02-29
  - Special leap-day release.
  - Documented the limit/offset/order_by way of calling ->search_where
  1.030   2012-02-22
  - Fixed regression in 1.029 which caused db_Main to be reset each time
    a new connection was defined.
  - UPGRADE RECOMMENDED!
  1.029   2012-02-13
  - Added support for master/slaves setup.
  - Multiple slaves are supported (there can only be one master).
  - Slaves are always read from *unless* you are within a transaction.
    In that case, all reads go to the master.
  - All writes go to the master.
  - You can change your slave connection at any time via ->switch_slave($debug).
  - Passing a true value to ->switch_slave will cause a little message to be printed
    to STDERR which looks like:
    "[Debug] Switched slave from DBI:mysql:dbname:host1 to DBI:mysql:dbname:host2"
  - Also updated the 'pagination' test so that it runs quicker.
  1.028   2012-01-30
  - No longer die on a failed class-load.
  1.027   2012-01-10
  - Setting $pager->page_number( 1 ) now works.
  1.026   2011-11-18
  - do_transaction will now look at wantarray and execute the transaction coderef
    in the appropriate list or scalar context, and return the appropriate result.
  1.025   2011-11-07
  - Fixed POD for count_search_where.  (ray.baksh++)
  1.024   2011-11-04
  - Calling sth_to_objects(...) would return a list with a single 'undef' element
    instead of returning nothing when no results were found.
  1.023   2011-10-27
  - Now if you want to override the default 'getter' or 'setter' behavior for a
    field in your objects, you can do so by defining _set_foo( $self, $val ) or
    _get_foo( $self ).
  - Thanks Eric for the idea!  ehayes.inflection++
  1.022   2011-09-19
  - POD change from app::* to App::db::* namespace.
* Thu Apr 16 2015 coolo@suse.com
- updated to 1.025
  see /usr/share/doc/packages/perl-Class-DBI-Lite/Changes
  1.025   2011-11-07
  - Fixed POD for count_search_where.  (ray.baksh++)
  1.024   2011-11-04
  - Calling sth_to_objects(...) would return a list with a single 'undef' element
    instead of returning nothing when no results were found.
  1.023   2011-10-27
  - Now if you want to override the default 'getter' or 'setter' behavior for a
    field in your objects, you can do so by defining _set_foo( $self, $val ) or
    _get_foo( $self ).
  - Thanks Eric for the idea!  ehayes.inflection++
  1.022   2011-09-19
  - POD change from app::* to App::db::* namespace.
* Sat Sep 17 2011 jw@suse.com
- initial package 1.021
  * created by cpanspec 1.78.04
